# clusters/atlas/flux-system/platform/postgres/kustomization.yaml
apiVersion: kustomize.toolkit.fluxcd.io/v1
kind: Kustomization
metadata:
  name: postgres
  namespace: flux-system
  annotations:
    kustomize.toolkit.fluxcd.io/ssa: IfNotPresent
spec:
  interval: 10m
  path: ./infrastructure/postgres
  prune: true
  force: true
  sourceRef:
    kind: GitRepository
    name: flux-system
  targetNamespace: postgres
  dependsOn:
    - name: longhorn
    - name: vault
    - name: vault-csi
  healthChecks:
    - apiVersion: apps/v1
      kind: StatefulSet
      name: postgres
      namespace: postgres
  wait: true
